Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Bar_LineInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.ColumnInfo
              jet.report.xls.Bar_LineInfo

    public class Bar_LineInfo

extends ColumnInfo

Contains the information of bar_line chart type in the file. The class extends ColumnInfo.

Field Summary

Fields inherited from class jet.report.xls.ColumnInfo
`F100STACKED, NORMAL, STACKED`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`Bar_LineInfo(short dataLabel, short style)` Constructs class Bar_LineInfo and sets its fields appropriately.
`Bar_LineInfo(short dataLabel, short style, boolean needConvert)` Constructs class Bar_LineInfo and sets its fields appropriately.

Method Summary
`void` | `convert()` Converts the bar-line type to line bar type.
`int` | `getChartType()` Gets the type of the chart.
`int` | `getFirstAxisSeriesNumber()` Gets the series number of the first axis.
`short` | `getLineStyle()` Gets the style of the line.
`short` | `getMarkStyle()` Gets the style of line marks.
`ChartLabelInfo` | `getX1AxisName()` Gets the minor x axis name of bar_line chart.
`ChartLabelInfo` | `getY1AxisName()` Gets the minor y axis name of bar_line chart.
`boolean` | `needConvert()` Gets the flag which specifies whether converting type is needed or not.
`void` | `setBarSeriesSize(int barSize)` Sets the number of series used for the bar type.
`void` | `setLineStyle(short lineStyle)` Sets the style of the line.
`void` | `setMarkStyle(short markStyle)` Sets the style of line marks.
`void` | `setX1AxisName(ChartLabelInfo x1AxisName)` Sets the minor x axis name of bar_line chart.
`void` | `setY1AxisName(ChartLabelInfo y1AxisName)` Sets the minor y axis name of bar_line chart.

Methods inherited from class jet.report.xls.ColumnInfo
`getSpbBars, getSpbCats, getStyle, hasShadow, setHasShadow, setSpbBars, setSpbCats, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bar_LineInfo

    public Bar_LineInfo(short dataLabel,
                        short style)

  Constructs class Bar_LineInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, and 16 for show label
    `style` - style of bar

### Bar_LineInfo

    public Bar_LineInfo(short dataLabel,
                        short style,
                        boolean needConvert)

  Constructs class Bar_LineInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, and 16 for show label
    `style` - style of bar
    `needConvert` - true specifies the chart as line bar type

Method Detail

### needConvert

    public boolean needConvert()

  Gets the flag which specifies whether converting type is needed or not.

  Returns:
    true specifies it as a line bar chart type

### getFirstAxisSeriesNumber

    public int getFirstAxisSeriesNumber()

  Gets the series number of the first axis.

### setBarSeriesSize

    public void setBarSeriesSize(int barSize)

  Sets the number of series used for the bar type.

  Parameters:
    `barSize` - the number of series

### convert

    public void convert()

  Converts the bar-line type to line bar type.

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Overrides:
    `getChartType` in class `ColumnInfo`
  Returns:
    type of the chart

### getMarkStyle

    public short getMarkStyle()

  Gets the style of line marks.

  Returns:
    style of line marks
  See Also:
    `LineInfo.NONE`, `LineInfo.SQUARE`, `LineInfo.DIAMOND`, `LineInfo.TRIANGLE`, `LineInfo.X`, `LineInfo.STAR`, `LineInfo.DOWJONES`, `LineInfo.DEVIATION`, `LineInfo.CIRCLE`, `LineInfo.PLUSSIGN`

### setMarkStyle

    public void setMarkStyle(short markStyle)

  Sets the style of line marks.

  Parameters:
    `markStyle` - style of line marks
  See Also:
    `LineInfo.NONE`, `LineInfo.SQUARE`, `LineInfo.DIAMOND`, `LineInfo.TRIANGLE`, `LineInfo.X`, `LineInfo.STAR`, `LineInfo.DOWJONES`, `LineInfo.DEVIATION`, `LineInfo.CIRCLE`, `LineInfo.PLUSSIGN`

### getX1AxisName

    public ChartLabelInfo getX1AxisName()

  Gets the minor x axis name of bar_line chart.

  Returns:
    the minor x axis name of bar_line chart

### setX1AxisName

    public void setX1AxisName(ChartLabelInfo x1AxisName)

  Sets the minor x axis name of bar_line chart.

  Parameters:
    `x1AxisName` - the minor x axis name of bar_line chart

### getY1AxisName

    public ChartLabelInfo getY1AxisName()

  Gets the minor y axis name of bar_line chart.

  Returns:
    the minor y axis name of bar_line chart

### setY1AxisName

    public void setY1AxisName(ChartLabelInfo y1AxisName)

  Sets the minor y axis name of bar_line chart.

  Parameters:
    `y1AxisName` - the minor y axis name of bar_line chart

### getLineStyle

    public short getLineStyle()

  Gets the style of the line.

  Returns:
    style of the line
  See Also:
    `ColumnInfo.NORMAL`, `ColumnInfo.STACKED`, `ColumnInfo.F100STACKED`

### setLineStyle

    public void setLineStyle(short lineStyle)

  Sets the style of the line.

  Parameters:
    `lineStyle` - style of the line
  See Also:
    `ColumnInfo.NORMAL`, `ColumnInfo.STACKED`, `ColumnInfo.F100STACKED`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD